body {
    font-family: "Poppins", sans-serif;
    font-optical-sizing: auto;

    font-style: normal;
}


.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='white' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");

}

.navbar-toggler {
    border: 2px solid rgb(240, 233, 231);
}



.nav-item .nav-link {

    font-size: 18px;
    color: #004883;
    font-weight: bold;
}



.txt-blue {
    color: #004883;
}

.bg-blue {
    background-color: #004883;
}

.txt-para {
    line-height: 2rem;

}

.footermap {
    margin: 0;
    padding: 15px;
}





.gradient-overlay::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(89, 0, 255, 0.438);
    /* Semi-transparent dark overlay */
    opacity: 0;
    /* Start invisible */
    animation: fadeOverlay 2s ease forwards;
    pointer-events: none;
    /* Allow clicks to pass through */
}

/* Keyframes for fade in */
@keyframes fadeOverlay {
    to {
        opacity: 1;
    }
}

.abt-profile {
    text-align: justify;
}

.abtcompany-img {
    border-top-left-radius: 50px;
    border-top-right-radius: 50px;
}

.deliverygoods {
    border-radius: 10px;
}


.service-btn {
    align-items: center;
    appearance: none;
    background-color: #FCFCFD;
    border-radius: 4px;
    border-width: 0;
    box-shadow: rgba(45, 35, 66, 0.4) 0 2px 4px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
    box-sizing: border-box;
    color: #36395A;
    cursor: pointer;
    display: inline-flex;
    font-family: "JetBrains Mono", monospace;
    height: 58px;
    justify-content: center;
    line-height: 1;
    list-style: none;
    overflow: hidden;
    padding-left: 16px;
    padding-right: 16px;
    position: relative;
    text-align: left;
    text-decoration: none;
    transition: box-shadow .15s, transform .15s;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    white-space: nowrap;
    will-change: box-shadow, transform;
    font-size: 18px;
    margin-top: 8px;
    margin-bottom: 8px;
}

.service-btn:focus {
    box-shadow: #D6D6E7 0 0 0 1.5px inset, rgba(45, 35, 66, 0.4) 0 2px 4px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
}

.service-btn:hover {
    box-shadow: rgba(45, 35, 66, 0.4) 0 4px 8px, rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #D6D6E7 0 -3px 0 inset;
    transform: translateY(-2px);
}

.service-btn:active {
    box-shadow: #D6D6E7 0 3px 7px inset;
    transform: translateY(2px);
}

/* Transparent navbar fixed at top */




.card-img-top {
    width: 300px;
    height: 200px;
    border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%;
}

.hero-text {
    opacity: 0;
    transform: translateY(50px);
    animation: slideUp 1s ease-out forwards;
}

@keyframes slideUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.img-wrapper {
    overflow: hidden;
    /* Prevent image overflow on zoom */
}

.zoom-img {
    transition: transform 0.5s ease;
}

.zoom-img:hover {
    transform: scale(1.1);

}



@keyframes fadeInDown {
    from {
        opacity: 0;
        transform: translateY(-50px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(50px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* .logo-spin {
    animation: spinLogo 5s linear infinite;
}

@keyframes spinLogo {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
} */

.logo-spin {
    /* animation: spinLogo 5s linear infinite; */
    animation: pulseLogo 2s ease-in-out infinite;
    /* display: inline-block;
            animation: floatLogo 3s ease-in-out infinite; */
}

@keyframes pulseLogo {
    /* 0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            } */

    0%,
    100% {
        transform: scale(1);
        opacity: 1;
    }

    50% {
        transform: scale(1.1);
        opacity: 1;
    }
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='black' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");

}

.navbar-toggler {
    border: 2px solid black;
}

.zoom-animate {
    animation: zoomInOut 10s ease-in-out infinite;
}

@keyframes zoomInOut {

    0%,
    100% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.1);
    }
}